---
title: RTCOutboundRtpStreamStats.framesEncoded
slug: Web/API/RTCOutboundRtpStreamStats/framesEncoded
tags:
  - API
  - Encoding
  - Frames
  - Media
  - Property
  - RTCOutboundRtpStreamStats
  - Reference
  - Statistics
  - Stats
  - Video
  - WebRTC
  - WebRTC API
  - encode
  - framesEncoded
  - stream
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>framesEncoded</code></strong> property of the {{domxref("RTCOutboundRtpStreamStats")}} dictionary indicates the total number of frames that have been encoded by this {{domxref("RTCRtpSender")}} for this media source.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>framesEncoded</em> = <em>RTCOutboundRtpStreamStats</em>.framesEncoded;</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating the total number of video frames that this sender has encoded so far for this stream.</p>

<div class="notecard note">
<p><strong>Note:</strong> This property is only valid for video streams.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-RTCOutboundRtpStreamStats-framesencoded', 'RTCOutboundRtpStreamStats.framesEncoded')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCOutboundRtpStreamStats.framesEncoded")}}</p>
